Error compiling on GNU/Linux (Ubuntu)